import React from "react";

export default class ListItem extends React.Component {
    render() {
        let isCompleted = this.props.item.completed;
        let isError = this.props.item.error;

        const Buttons = () => {
            return (
                <>
                    <span className="complete" onClick={this.complete.bind(this, this.props.item.id)}>
                        ✔
                    </span>
                    <span className="close" onClick={this.delete.bind(this, this.props.item.id)}>
                        ✕
                    </span>
                </>
            );
        };

        return (
            <>
                <li className={"todo-item " + (isCompleted ? "complete " : "") + (isError ? "error " : "")}>
                    <span className="todo-item-number">{this.props.number}</span>
                    <span className="todo-item-text">{this.props.item.text}</span>
                    {isCompleted || isError ? null : <Buttons />}
                </li>
            </>
        );
    }

    delete(id) {
        this.props.delete(id);
    }

    complete(id) {
        this.props.complete(id);
    }
}
